<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Биллинг - Пополнить баланс');
$title->GetHeader();
if ($b == false) {
header('location: /');
die();
}
echo'<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-widgets"></i><a href="/"style="text-decoration:none; color:white;"> Главная</a> :: <a href="/billing"style="text-decoration:none; color:white;">Биллинг</a> :: Пополнить баланс</div></div></div>';
if (isset($_POST['ok'])) {
$rur = abs((int)$_POST['rur']);
if (empty($rur)) {
err('Введите сумму!');
} elseif ($rur < 1 OR $rur > 8000) {
err('Ошибка! Сумма не должна быть меньше 1 или больше 8 000 руб.');
} else {
DB::$dbs->query("INSERT INTO `pay` (`user_id`,`rur`,`time`) VALUES (?,?,?)", [$b['id'],$rur,time()]);
$id = DB::$dbs->lastInsertId();
$prim = $b['id'].'_'.$id;
DB::$dbs->query("UPDATE `pay` SET `prim` = ? WHERE `id` = ?", [$prim,$id]);
echo '<div class="list-group-item media">Отправьте <b>'.$rur.'р</b> на кошелек <b>R794798403219</b> и в примечаниях укажите <b>Оплата счета '.$prim.'</b> после чего нажмите кнопку "Подтвердить перевод". Баланс будет пополнен в течении 24 часов<br/>Примечания:<br/><input type="text" value="Оплата счета '.$prim.'"class="form-control"/><br/><a href="schet.html?ok='.$id.'"class="btn btn-primary">Подтвердить перевод</a></div>';
$title->GetMenu();
$title->GetFooter();
die();
}
}
echo'<div class="list-group-item media">Сейчас на вашем счету: <b>'.round($b['rur'], 2).'</b> WMR.</br>
<img src="/assets/images/wmd.gif" alt="" /><a href="inwm.html">Пополнить</a></br>
Виртуальный счет <b>'.$b['gears'].'</b> G. <a href="ex.html">Обменять на WMR</a></div>';
echo '<div class="list-group-item media"><b>Сумма</b> (Принимаются только рубли - WMR):<br/>
<form action="?" method="post"><input name="rur" class="form-control" maxlength="7"/><br /><input type="submit" class="btn btn-primary" name="ok" value="Пополнить"/></form></div>';

$title->GetMenu();
$title->GetFooter();
?>